classification
Title: libpython.so not built on OpenBSD
Type: compile error Stage: resolved
Components: Build Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, haypo, neologix, python-dev, rpointel, skrah, stsp
Priority: normal Keywords: patch

Created on 2011-07-14 16:58 by stsp, last changed 2011-07-25 19:55 by skrah. This issue is now closed.

Files
File name Uploaded Description Edit
python-2.7.2-configure.diff stsp, 2011-07-14 16:58 patch that fixes the problem
Messages (9)
msg140343 - (view) Author: Stefan Sperling (stsp) Date: 2011-07-14 16:58
In Python-2.7.2 (I have not checked other versions, sorry),
the configure script doesn't not define LDLIBRARY on OpenBSD.
Because of this libpython.so does not get built.
msg140599 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-18 16:07
I’ve looked at 3.x and think the patch would apply cleanly there too.
msg140991 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2011-07-23 15:39
Unassigning: I tested on OpenBSD 4.5 and get other (probably unrelated
errors).
msg141044 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2011-07-24 12:39
The patch looks good to me.
As for the other failures, it would probably be interesting to open a
separate issue, no?
msg141053 - (view) Author: Roundup Robot (python-dev) Date: 2011-07-24 20:33
New changeset 33be4896003a by Charles-François Natali in branch '2.7':
Issue #12560: Build libpython.so on OpenBSD. Patch by Stefan Sperling.
http://hg.python.org/cpython/rev/33be4896003a
msg141054 - (view) Author: Roundup Robot (python-dev) Date: 2011-07-24 20:41
New changeset 1fdad36ac838 by Charles-François Natali in branch '3.2':
Issue #12560: Build libpython.so on OpenBSD. Patch by Stefan Sperling.
http://hg.python.org/cpython/rev/1fdad36ac838
msg141055 - (view) Author: Roundup Robot (python-dev) Date: 2011-07-24 20:43
New changeset a095cbed24c3 by Charles-François Natali in branch 'default':
Issue #12560: Build libpython.so on OpenBSD. Patch by Stefan Sperling.
http://hg.python.org/cpython/rev/a095cbed24c3
msg141056 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2011-07-24 20:46
Patch committed.
Stefan, thanks for the report and the patch!
msg141120 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2011-07-25 19:55
For the record: The other failures I mentioned were almost certainly
OpenBSD 4.5 / autoconf specific, so I didn't bother. Cairo has a
workaround, but I think that goes too far.

http://cairo.sourcearchive.com/documentation/1.9.4/cairo-atomic-private_8h-source.html

/* The autoconf on OpenBSD 4.5 produces the malformed constant name
 * SIZEOF_VOID__ rather than SIZEOF_VOID_P.  Work around that here. */
#if !defined(SIZEOF_VOID_P) && defined(SIZEOF_VOID__)
# define SIZEOF_VOID_P SIZEOF_VOID__
#endif
History
Date User Action Args
2011-07-25 19:55:18skrahsetmessages: + msg141120
2011-07-24 20:46:52neologixsetstatus: open -> closed
resolution: fixed
messages: + msg141056

stage: commit review -> resolved
2011-07-24 20:43:59python-devsetmessages: + msg141055
2011-07-24 20:41:23python-devsetmessages: + msg141054
2011-07-24 20:33:37python-devsetnosy: + python-dev
messages: + msg141053
2011-07-24 12:39:37neologixsetmessages: + msg141044
2011-07-23 15:49:57pitrousetnosy: + haypo, neologix
2011-07-23 15:39:08skrahsetassignee: skrah ->
messages: + msg140991
2011-07-20 12:24:18skrahsetnosy: + rpointel
2011-07-20 12:24:09skrahlinkissue12593 superseder
2011-07-18 16:07:26eric.araujosetversions: + Python 3.2, Python 3.3
nosy: + eric.araujo

messages: + msg140599

stage: commit review
2011-07-14 23:10:42skrahsetassignee: skrah

nosy: + skrah
2011-07-14 16:58:11stspcreate